--- old/usr/src/uts/i86pc/vm/kboot_mmu.c	Fri Apr  6 17:25:06 2018
+++ new/usr/src/uts/i86pc/vm/kboot_mmu.c	Fri Apr  6 17:25:06 2018
@@ -22,6 +22,8 @@
 /*
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2018 Joyent, Inc.
  */
 
 #include <sys/types.h>
@@ -145,7 +147,7 @@
 		*((x86pte_t *)pte_to_window) = physaddr | pt_bits;
 	else
 		*((x86pte32_t *)pte_to_window) = physaddr | pt_bits;
-	mmu_tlbflush_entry(window);
+	mmu_invlpg(window);
 #endif
 	DBG(window);
 	return (window);
@@ -195,7 +197,7 @@
 		*ptep = pteval;
 	else
 		*((x86pte32_t *)ptep) = pteval;
-	mmu_tlbflush_entry((caddr_t)va);
+	mmu_invlpg((caddr_t)va);
 #endif
 }
 
@@ -349,7 +351,7 @@
 			*ptep = 0;
 		else
 			*((x86pte32_t *)ptep) = 0;
-		mmu_tlbflush_entry((caddr_t)va);
+		mmu_invlpg((caddr_t)va);
 #endif
 	}
 }
@@ -388,7 +390,7 @@
 		*((x86pte_t *)ptep) = pte_val;
 	else
 		*((x86pte32_t *)ptep) = pte_val;
-	mmu_tlbflush_entry((caddr_t)va);
+	mmu_invlpg((caddr_t)va);
 #endif
 
 	if (!(old_pte & PT_VALID) || ma_to_pa(old_pte) == -1)
@@ -421,7 +423,7 @@
 		*ptep = pte_val;
 	else
 		*((x86pte32_t *)ptep) = pte_val;
-	mmu_tlbflush_entry((caddr_t)va);
+	mmu_invlpg((caddr_t)va);
 #endif
 }
 
@@ -459,7 +461,7 @@
 		*((x86pte_t *)pte_to_window) = save_pte;
 	else
 		*((x86pte32_t *)pte_to_window) = save_pte;
-	mmu_tlbflush_entry(window);
+	mmu_invlpg(window);
 #endif
 }
 
